# Created by pyp2rpm-3.3.2
%global pypi_name rfcdl

Name:           python-%{pypi_name}
Version:        1.2.3
Release:        1%{?dist}
Summary:        A tool for downloading RFCs in high-speed

License:        MIT
URL:            https://pypi.python.org/pypi/rfcdl
Source0:        https://files.pythonhosted.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

%description
 Usage This tool can be used to download a large number of RFC documents < in a
short period of time.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(aiofiles)
Requires:       python3dist(aiohttp)
Requires:       python3dist(requests)
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
 Usage This tool can be used to download a large number of RFC documents < in a
short period of time.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/rfcdl
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Fri Mar 13 2020 mockbuilder - 1.2.3-1
- Initial package.